dots.v2.apps.byApp_Id().deployments.byDeployment_id().logs.get()

Generated on 13 Nov 2026 from DoTs version v1.24.0

Usage

client.v2.apps.byApp_Id(app_Id).deployments.byDeployment_id(deployment_id).logs.get(requestConfiguration?: RequestConfiguration<LogsRequestBuilderGetQueryParameters>): Promise<undefined | Apps_get_logs_response>

Description

Retrieve the logs of a past, in-progress, or active deployment. If a component name is specified, the logs will be limited to only that component. The response will include links to either real-time logs of an in-progress or active deployment or archived logs of a past deployment.

Parameters

Path Parameters

app_Id string required

Example: 4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf

The app ID

deployment_id string required

Example: 3aa4d20e-5527-4c00-b496-601fbd22520a

The deployment ID

Query Parameters

follow boolean optional

Example: true

Whether the logs should follow live updates.

type string required

The type of logs to retrieve
- BUILD: Build-time logs
- DEPLOY: Deploy-time logs
- RUN: Live run-time logs
- RUN_RESTARTED: Logs of crashed/restarted instances during runtime
- AUTOSCALE_EVENT: Logs of an autoscaling event (requires event_id)

One of: UNSPECIFIED, BUILD, DEPLOY, RUN, RUN_RESTARTED, AUTOSCALE_EVENT

Default: UNSPECIFIED

podConnectionTimeout string optional

Example: 3m

An optional time duration to wait if the underlying component instance is not immediately available. Default: 3m.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.apps
    .byApp_Id("4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf").deployments
    .byDeployment_id("3aa4d20e-5527-4c00-b496-601fbd22520a").logs.get({
    queryParameters: {
        type: "BUILD",
    },
});

Response Example

Show Response Example
{
  "live_url": "https://logs-example/build.log",
  "url": "https://logs/build.log",
  "historic_logs": [
    "https://logs-example/archive/build.log"
  ]
}

More Information

See /v2/apps/{app_id}/deployments/{deployment_id}/logs in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.